## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common
Class CollapseableSection

    java.lang.Object
      org.eclipse.ui.forms.AbstractFormPart
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection

All Implemented Interfaces:
  org.eclipse.ui.forms.IFormPart

Direct Known Subclasses:
  CompositeEditSection, IntroductionSection, PrivilegesSection

    public abstract class CollapseableSection

extends org.eclipse.ui.forms.AbstractFormPart

A common used section in multiple forms based editor. Which will set the SEPARATOR color to use to BORDER color, because in Eclipse 3.1, the SEAPARTOR color looks bad. Also, the help context id can be set to this section (A small help icon will be add to the section, if end-user clicks the icon, help page will be displayed).

Author:
  Idull

Constructor Summary
`CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, boolean isCollapseable, boolean isCollapsed, int estyle)` Constructs a collapseable section
`CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, boolean isCollapsed, int estyle)`
`CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, int estyle)`

Method Summary
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent, int horizontalSpan, java.lang.String helpContextId)` User of this class need to call this method to create this section
`org.eclipse.ui.forms.widgets.Section` `getSection()` Returns the section instance
`org.eclipse.swt.widgets.Composite` `getSectionContent()` Returns the section content composite
`void` `setPluginId(java.lang.String id)`

Methods inherited from class org.eclipse.ui.forms.AbstractFormPart
`commit, dispose, getManagedForm, initialize, isDirty, isStale, markDirty, markStale, refresh, setFocus, setFormInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollapseableSection

    public CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                               java.lang.String title,
                               org.eclipse.swt.widgets.Display display,
                               boolean isCollapseable,
                               boolean isCollapsed,
                               int estyle)

  Constructs a collapseable section

  Parameters:
    `toolkit` - the form toolkit
    `title` - the title of the section
    `display` - the `Display` instance
    `isCollapseable` - whether the section is collapseable
    `isCollapsed` - the initial status

### CollapseableSection

    public CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                               java.lang.String title,
                               org.eclipse.swt.widgets.Display display,
                               boolean isCollapsed,
                               int estyle)

### CollapseableSection

    public CollapseableSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                               java.lang.String title,
                               org.eclipse.swt.widgets.Display display,
                               int estyle)

Method Detail

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent,
                                                         int horizontalSpan,
                                                         java.lang.String helpContextId)

  User of this class need to call this method to create this section

  Parameters:
    `parent` - the parent in which this section is created
    `horizontalSpan` - the horizontal span
    `helpContextId` - the id of the context help
  Returns:
    the section instance

### getSection

    public org.eclipse.ui.forms.widgets.Section getSection()

  Returns the section instance

  Returns:
    the section instance

### getSectionContent

    public org.eclipse.swt.widgets.Composite getSectionContent()

  Returns the section content composite

  Returns:
    the section content composite

### setPluginId

    public void setPluginId(java.lang.String id)